package jp.veritrans.tercerog.sample.web.carrier;

import java.io.UnsupportedEncodingException;

import javax.servlet.http.HttpServletRequest;

import jp.veritrans.tercerog.sample.web.carrier.base.AbstractCancelExec;

/**
 * PC用 キャリア決済 取消請求処理クラス。
 */
public class CancelExec extends AbstractCancelExec {
    private static final long serialVersionUID = 1L;

    protected String getJsp() {
        return "./CancelExec.jsp";
    }

    protected String getCancelJsp() {
        return "./Cancel.jsp";
    }

    protected void setCharacterEncoding(final HttpServletRequest request) throws UnsupportedEncodingException {
        request.setCharacterEncoding("UTF-8");
    }

}
