<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*"%>

<%
    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils.out((String) request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - Amazon Pay返金サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>

  <img src='../WEB-IMG/VeriTrans_Payment.png'>
  <hr />
  <div class="system-message">
    <font size="2">
      本画面はVeriTrans4G Amazon Payの返金取引サンプル画面です。<br />
      お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
      また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
    </font>
  </div>

  <%=warning%>

  <div class="lhtitle">Amazon Pay：返金請求</div>
  <form name="FORM_AMAZONPAY" method="post" action="RefundExec">
    <table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td class="ititletop">取引ID</td>
        <td class="ivaluetop">
          <input type="text" maxlength="100" size="30" name="orderId" value="<%=Utils.out(request.getParameter("orderId"))%>">
        </td>
      </tr>
      <tr>
        <td class="ititle">返金金額</td>
        <td class="ivalue">
          <input type="text" maxlength="8" size="9" name="amount" value="<%=Utils.out(request.getParameter("amount"))%>">
        </td>
      </tr>
      <tr>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2">
          <input type="submit" value="返金">
          &nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
        </td>
      </tr>

    </table>
  </form>

  <a href="../AdminMenu">管理メニューへ戻る</a>
  &nbsp;&nbsp;

  <hr />
  <img src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
