<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="java.util.*" %>

<%

    // 取引ID
    String order_id = "dummy" + System.currentTimeMillis();

    // token.propertiesファイルから必要なプロパティを取得
    Locale objLcl = request.getLocale();
    ResourceBundle rb = ResourceBundle.getBundle("token", objLcl);
    String token_api_key = rb.getString("tokenApiKey");
    String token_api_url = rb.getString("tokenApiUrl");
    if (Utils.isNull(token_api_url) == true) {
        token_api_url = Utils.getHost(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties")) + "/4gtoken";
    }

    // 決済種別
    String paymentMode_1 = "";
    String paymentMode_2 = "";
    String paymentMode_3 = "";
    String paymentMode_4 = "";
    if ("1".equals(request.getParameter("paymentMode"))) { paymentMode_1 = " selected"; }
    if ("2".equals(request.getParameter("paymentMode"))) { paymentMode_2 = " selected"; }
    if ("3".equals(request.getParameter("paymentMode"))) { paymentMode_3 = " selected"; }
    if ("4".equals(request.getParameter("paymentMode"))) { paymentMode_4 = " selected"; }

    // 与信方法の選択状態を判定
    String sctWithCapture_false = "";
    String sctWithCapture_true = "";
    if ("false".equals(request.getParameter("withCapture"))) { sctWithCapture_false = " selected"; }
    if ("true".equals(request.getParameter("withCapture"))) { sctWithCapture_true = " selected"; }

    // 支払方法の選択状態を判定
    String jpo1_10 = "";
    String jpo1_61 = "";
    String jpo1_80 = "";
    if ("10".equals(request.getParameter("jpo1"))) { jpo1_10 = " selected"; }
    if ("61".equals(request.getParameter("jpo1"))) { jpo1_61 = " selected"; }
    if ("80".equals(request.getParameter("jpo1"))) { jpo1_80 = " selected"; }

    // 端末種別を判定
    String browserDeviceCategory_0 = "";
    String browserDeviceCategory_1 = "";
    if ("0".equals(request.getParameter("browserDeviceCategory"))) { browserDeviceCategory_0 = " selected"; }
    if ("1".equals(request.getParameter("browserDeviceCategory"))) { browserDeviceCategory_1 = " selected"; }

    // デバイスチャネルを判定
    String deviceChannel_02 = "";
    if ("02".equals(request.getParameter("deviceChannel"))) { deviceChannel_02 = " selected"; }

    // アカウントタイプを判定
    String accountType_01 = "";
    String accountType_02 = "";
    String accountType_03 = "";
    if ("01".equals(request.getParameter("accountType"))) { accountType_01 = " selected"; }
    if ("02".equals(request.getParameter("accountType"))) { accountType_02 = " selected"; }
    if ("03".equals(request.getParameter("accountType"))) { accountType_03 = " selected"; }

    // チャレンジ認証フラグ
    String withChallenge_true = "";
    String withChallenge_false = "";
    if ("true".equals(request.getParameter("withChallenge"))) { withChallenge_true = " selected"; }
    if ("false".equals(request.getParameter("withChallenge"))) { withChallenge_false = " selected"; }

    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils.out((String) request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }
%>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>VeriTrans 4G - クレジットカード決済(本人認証) 認可サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
    <script language="JavaScript" type="text/javascript">
        function jpoChk(jpoObj) {
            var val = jpoObj.value;
            if (val.length == 1) {
                if (isNaN(val) == false) {
                    jpoObj.value = "0" + jpoObj.value;
                }
            }
        }

        function reDrawing(frm, action) {
            frm.action = action;
            frm.method = "POST";
            frm.submit();
        }

        function submitToken(e) {
            var data = {};
            data.token_api_key = document.getElementById('token_api_key').innerText;
            if (document.getElementById('card_number')) {
                data.card_number = document.getElementById('card_number').value;
            }
            if (document.getElementById('cc-exp')) {
                data.card_expire = document.getElementById('cc-exp').value;
            }
            if (document.getElementById('cc-csc')) {
                data.security_code = document.getElementById('cc-csc').value;
            }
            data.lang = "ja";
            var url = document.getElementById('token_api_url').innerText;

            var xhr = new XMLHttpRequest();
            xhr.open('POST', url, true);
            xhr.setRequestHeader('Accept', 'application/json');
            xhr.setRequestHeader('Content-Type', 'application/json; charset=utf-8');
            xhr.addEventListener('loadend', function () {
                if (xhr.status === 0) {
                    alert("トークンサーバーとの接続に失敗しました");
                    return;
                }
                var response = JSON.parse(xhr.response);
                if (xhr.status == 200) {
                    document.getElementById('card_number').value = "";
                    document.getElementById('cc-exp').value = "";
                    document.getElementById('cc-csc').value = "";
                    document.getElementById('token').value = response.token;
                    document.forms[0].submit();
                } else {
                    alert(response.message);
                }
            });
            xhr.send(JSON.stringify(data));
        }
    </script>
</head>
<body>

<img alt="Paymentロゴ" src='../WEB-IMG/VeriTrans_Payment.png'>
<hr/>
<div class="system-message">
    <span style="font-size: small;">
        本画面はVeriTrans4G クレジットカード決済(本人認証) 認可の取引サンプル画面です。<br/>
        お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
        また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
    </span>
</div>

<%= warning %>

<table style="border-width: 0; padding: 0; border-collapse: collapse;">
    <tr>
        <td class="ptitle">
            <div class="lhtitle">クレジットカード決済(本人認証)：認可請求</div>
        </td>
        <td class="pcxts">
            <img alt="LOGO" src='../WEB-IMG/MPI_VerifiedByVisa.png'>
            <img alt="LOGO" src='../WEB-IMG/MPI_MasterSecureCode.png'>
            <img alt="LOGO" src='../WEB-IMG/MPI_JSecure.png'>
        </td>
    </tr>
</table>

<form name="FORM_MPI" method="post" action="./AuthorizeExec">
    <table style="border-width: 0; padding: 0; border-collapse: collapse;">
        <tr>
            <td class="ititlecommon">取引ID</td>
            <td class="ivaluecommon">
                <%= Utils.out(order_id) %>&nbsp;&nbsp;
                <input type="hidden" name="orderId" value="<%= Utils.out(order_id) %>">
                <input type="button" value="取引ID更新" onclick="reDrawing(FORM_MPI, './Authorize');">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">決済金額</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="8" size="9" name="amount" value="<%= Utils.out(request.getParameter("amount")) %><%= Utils.out(request.getParameter("price")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">決済種別</td>
            <td class="ivaluecommon">
                <select name="paymentMode">
                    <option value="1"<%= Utils.out(paymentMode_1) %>>1: 3D-Secure認証のみ(決済しない)</option>
                    <option value="2"<%= Utils.out(paymentMode_2) %>>2: 完全認証(3D-Secure認証が完全に成功した場合のみ決済する)</option>
                    <option value="3"<%= Utils.out(paymentMode_3) %>>3: 通常認証(カード会社リスク負担にて決済する)</option>
                    <option value="4"<%= Utils.out(paymentMode_4) %>>4: 通常認証(カード会社か加盟店リスク負担にて決済する)</option>
                </select><br/>
                &nbsp;&nbsp;<span style="font-size: small; color: red;">※この項目は消費者が選択せず、内部的に設定いただく項目です。</span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">与信方法</td>
            <td class="ivaluecommon">
                <select name="withCapture">
                    <option value=""></option>
                    <option value="false"<%= Utils.out(sctWithCapture_false) %>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
                    <option value="true"<%= Utils.out(sctWithCapture_true) %>>与信売上(与信と同時に売上処理も行います)</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">クレジットカード番号</td>
            <td class="ivaluecommon">
                <input id="card_number" type="tel" x-autocompletetype="cc-number" autocompletetype="cc-number"
                    autocorrect="off" spellcheck="false" autocapitalize="off" maxlength="19" size="19">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">有効期限</td>
            <td class="ivaluecommon">
                <input id="cc-exp" type="tel" x-autocompletetype="off" autocompletetype="off" autocorrect="off"
                       spellcheck="false" autocapitalize="off" placeholder="MM/YY" maxlength="5" size="5">
                &nbsp;&nbsp;<span style="font-size: small; color: red;">※形式：MM/YY</span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">支払方法</td>
            <td class="ivaluecommon">
                <select name="jpo1">
                    <option value="10"<%= Utils.out(jpo1_10) %>>一括払い(支払回数の設定は不要)</option>
                    <option value="61"<%= Utils.out(jpo1_61) %>>分割払い(支払回数を設定してください)</option>
                    <option value="80"<%= Utils.out(jpo1_80) %>>リボ払い(支払回数の設定は不要)</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">支払回数</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="2" size="3" name="jpo2" value="<%= Utils.out(request.getParameter("jpo2")) %>" onBlur="jpoChk(this);">
                &nbsp;&nbsp;<span style="font-size: small; color: red;">※一桁の場合は数値の前に&quot;0&quot;をつけてください。&nbsp;&nbsp;例：01</span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">セキュリティコード</td>
            <td class="ivaluecommon">
                <input id="cc-csc" type="tel" autocomplete="off" autocorrect="off" spellcheck="false" autocapitalize="off" maxlength="4" size="4">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">プッシュ通知先URL</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="256" size="70" name="pushUrl" value="<%= Utils.out(request.getParameter("pushUrl")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">端末種別</td>
            <td class="ivaluecommon">
                <select name="browserDeviceCategory">
                    <option value=""></option>
                    <option value="0"<%= Utils.out(browserDeviceCategory_0) %>>PC</option>
                    <option value="1"<%= Utils.out(browserDeviceCategory_1) %>>mobile</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">本人認証有効期限</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="3" size="3" name="verifyTimeout" value="<%= Utils.out(request.getParameter("verifyTimeout")) %>">
                &nbsp;&nbsp;<font size="2" color="red">※分単位で指定してください。</font>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">デバイスチャネル</td>
            <td class="ivaluecommon">
                <select name="deviceChannel">
                    <option value=""></option>
                    <option value="02"<%= Utils.out(deviceChannel_02) %>>ブラウザベース</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">アカウントタイプ</td>
            <td class="ivaluecommon">
                <select name="accountType">
                    <option value=""></option>
                    <option value="01"<%= Utils.out(accountType_01) %>>該当なし</option>
                    <option value="02"<%= Utils.out(accountType_02) %>>クレジット</option>
                    <option value="03"<%= Utils.out(accountType_03) %>>デビット</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード保有者名</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="45" size="45" name="cardholderName" value="<%= Utils.out(request.getParameter("cardholderName")) %>"><br/>
                <span style="font-size: small; color: red;">※3Dセキュア 2.0の場合は必須です。</span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード保有者メールアドレス</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="254" size="70" name="cardholderEmail" value="<%= Utils.out(request.getParameter("cardholderEmail")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード保有者自宅電話番号国コード</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="3" size="3" name="cardholderHomePhoneCountry" value="<%= Utils.out(request.getParameter("cardholderHomePhoneCountry")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード保有者自宅電話番号</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="15" size="15" name="cardholderHomePhoneNumber" value="<%= Utils.out(request.getParameter("cardholderHomePhoneNumber")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード保有者携帯電話番号国コード</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="3" size="3" name="cardholderMobilePhoneCountry" value="<%= Utils.out(request.getParameter("cardholderMobilePhoneCountry")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード保有者携帯電話番号</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="15" size="15" name="cardholderMobilePhoneNumber" value="<%= Utils.out(request.getParameter("cardholderMobilePhoneNumber")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード保有者勤務先電話番号国コード</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="3" size="3" name="cardholderWorkPhoneCountry" value="<%= Utils.out(request.getParameter("cardholderWorkPhoneCountry")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">カード保有者勤務先電話番号</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="15" size="15" name="cardholderWorkPhoneNumber" value="<%= Utils.out(request.getParameter("cardholderWorkPhoneNumber")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">請求先住所_市区町村</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="50" size="50" name="billingAddressCity" value="<%= Utils.out(request.getParameter("billingAddressCity")) %>"><br/>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">請求先住所_国</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="3" size="3" name="billingAddressCountry" value="<%= Utils.out(request.getParameter("billingAddressCountry")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">請求先住所1</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="50" size="50" name="billingAddressLine1" value="<%= Utils.out(request.getParameter("billingAddressLine1")) %>"><br/>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">請求先住所2</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="50" size="50" name="billingAddressLine2" value="<%= Utils.out(request.getParameter("billingAddressLine2")) %>"><br/>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">請求先住所3</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="50" size="50" name="billingAddressLine3" value="<%= Utils.out(request.getParameter("billingAddressLine3")) %>"><br/>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">請求先郵便番号</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="16" size="16" name="billingPostalCode" value="<%= Utils.out(request.getParameter("billingPostalCode")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">請求先住所_都道府県</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="3" size="3" name="billingAddressState" value="<%= Utils.out(request.getParameter("billingAddressState")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">配送先住所_市区町村</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="50" size="50" name="shippingAddressCity" value="<%= Utils.out(request.getParameter("shippingAddressCity")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">配送先住所_国</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="3" size="3" name="shippingAddressCountry" value="<%= Utils.out(request.getParameter("shippingAddressCountry")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">配送先住所1</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="50" size="50" name="shippingAddressLine1" value="<%= Utils.out(request.getParameter("shippingAddressLine1")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">配送先住所2</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="50" size="50" name="shippingAddressLine2" value="<%= Utils.out(request.getParameter("shippingAddressLine2")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">配送先住所3</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="50" size="50" name="shippingAddressLine3" value="<%= Utils.out(request.getParameter("shippingAddressLine3")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">配送先郵便番号</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="16" size="16" name="shippingPostalCode" value="<%= Utils.out(request.getParameter("shippingPostalCode")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">配送先住所_都道府県</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="3" size="3" name="shippingAddressState" value="<%= Utils.out(request.getParameter("shippingAddressState")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">消費者IPアドレス</td>
            <td class="ivaluecommon">
                <input type="text" maxlength="45" size="45" name="customerIp" value="<%= Utils.out(request.getParameter("customerIp")) %>">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">チャレンジ認証フラグ</td>
            <td class="ivaluecommon">
                <select name="withChallenge">
                    <option value=""></option>
                    <option value="true"<%= Utils.out(withChallenge_true) %>>チャレンジ認証を行う</option>
                    <option value="false"<%= Utils.out(withChallenge_false) %>>チャレンジ認証を行わない</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="thlToken" colspan="2">
                MDKトークン設定情報
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">トークンAPIキー</td>
            <td class="ivaluecommon">
                <span id="token_api_key"><%= Utils.out(token_api_key) %></span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">トークンAPI URL</td>
            <td class="ivaluecommon">
                <span id="token_api_url"><%= Utils.out(token_api_url) %></span>
            </td>
        </tr>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2">
                <input type="submit" onclick="submitToken();return false;" value="購入">
                &nbsp;&nbsp;<span style="font-size: small; color: red;">※2回以上クリックしないでください。</span>
            </td>
        </tr>
    </table>
    <input type="hidden" id="token" name="token">
</form>
<br/>

<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>

<hr/>
<img alt="VeriTransロゴ" src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
