<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*"%>

<%
    // 取引ID
            String order_id = "dummy" + System.currentTimeMillis();

            // 与信方法の選択状態を判定
            String sctWithCapture_false = "";
            String sctWithCapture_true = "";
            if ("false".equals(request.getParameter("withCapture"))) {
                sctWithCapture_false = " selected";
            }
            if ("true".equals(request.getParameter("withCapture"))) {
                sctWithCapture_true = " selected";
            }

            // 決済中にエラーが発生して戻された時のエラー内容
            String warning = Utils
                    .out((String) request.getAttribute("warning"));
            if (Utils.isNull(warning) == false) {
                warning += "<br/><br/>";
            }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - UPOP決済与信サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>

    <script type="text/javascript">
        function reDrawing(frm, action) {
            frm.action = action;
            frm.method = "POST";
            frm.submit();
        }
    </script>

    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
    <hr />
    <div class="system-message">
        <font size="2"> 本画面はVeriTrans4G UPOP決済の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>

    <%=warning%>

    <table>
        <tr>
            <td>
                <div class="lhtitle">UPOP決済：決済請求</div>
            </td>
            <td><img src='../WEB-IMG/upop.gif' />
        </tr>
    </table>
    <form name="FORM_UPOP" method="post" action="./AuthorizeExec">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td class="ititletop">取引ID</td>
                <td class="ivaluetop"><%=Utils.out(order_id)%>&nbsp;&nbsp;<input
                    type="hidden" name="orderId" value="<%=Utils.out(order_id)%>"><input
                    type="button" value="取引ID更新"
                    onclick="reDrawing(FORM_UPOP, './Authorize?');"></td>
            </tr>
            <tr>
                <td class="ititle">金額</td>
                <td class="ivalue"><input type="text" maxlength="8" size="9"
                    name="amount" value="<%=Utils.out(request.getParameter("price"))%>">
                    <input type="hidden" name="price"
                    value="<%=Utils.out(request.getParameter("price"))%>" /></td>
            </tr>

            <tr>
                <td class="ititle">与信方法</td>
                <td class="ivalue"><select name="withCapture">
                        <option value="false" <%=Utils.out(sctWithCapture_false)%>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
                        <option value="true" <%=Utils.out(sctWithCapture_true)%>>与信売上(与信と同時に売上処理も行います)</option>
                </select></td>
            </tr>

            <tr>
                <td></td>
                <td><input type="hidden" name="termUrl"
                    value="<%=Utils.out(request.getAttribute("termUrl"))%>"></td>
            </tr>
            <tr>
                <td></td>
                <td><input type="hidden" name="customerIp"
                    value="<%=Utils.out(request.getAttribute("customerIp"))%>"></td>
            </tr>
            <tr>
                <td colspan="2">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="2"><input type="submit" value="購入">&nbsp;&nbsp;<font
                    size="2" color="red">※２回以上クリックしないでください。</font></td>
            </tr>

        </table>
    </form>
    <a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright
    &copy; VeriTrans Inc. All rights reserved
</body>
</html>
