<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*"%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>返金請求結果</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
    <hr />
    <div class="system-message">
        <font size="2"> 本画面はVeriTrans4G UPOP決済の返金取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
        </font>
    </div>
    <div class="lhtitle">UPOP決済返金：取引結果</div>
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="rititletop">取引ステータス</td>
            <td class="rivaluetop"><%=Utils.out(request.getAttribute("mStatus"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">結果コード</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("vResultCode"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">結果メッセージ</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("mErrMsg"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">取引ID</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("orderId"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">トランザクションID(取引毎につけるID)</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("custTxn"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">電文ID</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("marchTxn"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">決済時刻（日本時間）</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("txnDatetimeJp"))%><br /></td>
        </tr>

        <tr>
            <td class="rititle">決済時刻（中国時間）</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("txnDatetimeCn"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">元売上金額</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("capturedAmount"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">返品後の金額</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("remainingAmount"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">清算金額</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("settleAmount"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">清算日付</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("settleDate"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">清算通貨種類</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("settleCurrency"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">清算レート</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("settleRate"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">決済センターとの取引ID</td>
            <td class="rivalue"><%=Utils.out(request.getAttribute("upopOrderId"))%><br /></td>
        </tr>
    </table>
    <br>
    <a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;

    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright
    &copy; VeriTrans Inc. All rights reserved

</body>
</html>
