<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*"%>

<%
    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils.out((String) request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>決済申込結果</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
  <img src="../WEB-IMG/VeriTrans_Payment.png">
  <hr />
  <div class="system-message">
    <font size="2">
      本画面はVeriTrans4G Amazon Payの取引サンプル画面です。<br />
      お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
    </font>
  </div>

  <%=warning%>

  <div class="lhtitle">Amazon Pay与信：取引結果</div>
  <table border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td class="rititletop">取引ステータス</td>
      <td class="rivaluetop"><%=Utils.out(request.getParameter("mstatus"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">結果コード</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("vResultCode"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">取引ID</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("orderId"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">決済センターの管理ID</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("centerOrderId"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">決済センターのトランザクション管理ID</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("centerTransactionId"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">決済センター応答日時</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("centerResponseDatetime"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先：氏名</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("shippingName"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先：電話番号</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("shippingPhone"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先：住所１</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("shippingAddress1"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先：住所２</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("shippingAddress2"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先：住所３</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("shippingAddress3"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先：都道府県</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("shippingPrefecture"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先：郵便番号</td>
      <td class="rivalue"><%=Utils.out(request.getParameter("shippingPostalCode"))%><br />
      </td>
    </tr>
  </table>

  <br />
  <a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>
  &nbsp;&nbsp;

  <hr />
  <img src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
