<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*" %>

<%
  // carrier.propertiesファイルから必要なプロパティを取得
  // ここでは、URLを設定ファイルから取得している。
  Locale objLcl = request.getLocale();
  ResourceBundle rb = ResourceBundle.getBundle("carrier",objLcl);
  String successUrl = request.getParameter("successUrl");
  if (successUrl == null) {
      successUrl = rb.getString("successUrl");
  }
  String cancelUrl = request.getParameter("cancelUrl");
  if (cancelUrl == null) {
      cancelUrl = rb.getString("cancelUrl");
  }
  String errorUrl = request.getParameter("errorUrl");
  if (errorUrl == null) {
      errorUrl = rb.getString("errorUrl");
  }
  String pushUrl = request.getParameter("pushUrl");
  if (pushUrl == null) {
      pushUrl = rb.getString("pushUrl");
  }

  // 取引IDの作成
  String order_id = "dummy" + System.currentTimeMillis();

  // キャリアを判別(サンプルのため、全てのアドレスのチェックはしていません。)
  String carrier = CarrierUtility.instance.findCarrierFromIpAddress(request.getRemoteAddr());


  //** 以下はrequestパラメータで指定された値によって表示する値を判別している **/

  // キャリアの選択状態を判定
  String sctCarrier_docomo = "";
  String sctCarrier_au = "";
  String sctCarrier_softbank = "";
  String sctCarrier_softbank_sum = "";
  String sctCarrier_s_sum = "";
  String sctCarrier_flets = "";
  if (carrier == null) {
    if (MdkServiceConstants.CARRIER_DOCOMO.equals(request.getParameter("serviceOptionType"))) { sctCarrier_docomo = " selected"; }
    if (MdkServiceConstants.CARRIER_AU.equals(request.getParameter("serviceOptionType"))) { sctCarrier_au = " selected"; }
    if (MdkServiceConstants.CARRIER_SB_KTAI.equals(request.getParameter("serviceOptionType"))) { sctCarrier_softbank = " selected"; }
    if (MdkServiceConstants.CARRIER_SB_MATOMETE.equals(request.getParameter("serviceOptionType"))) { sctCarrier_softbank_sum = " selected"; }
    if (MdkServiceConstants.CARRIER_S_BIKKURI.equals(request.getParameter("serviceOptionType"))) { sctCarrier_s_sum = " selected"; }
    if (MdkServiceConstants.CARRIER_FLETS.equals(request.getParameter("serviceOptionType"))) { sctCarrier_flets = " selected"; }
  }

  // 端末種別の取得
  String terminalKind = CarrierUtility.instance.getTerminalKind(request.getHeader("user-agent"));

  // 端末種別の選択状態を判定
  String sctTerminalKind_0 = "";
  String sctTerminalKind_1 = "";
  String sctTerminalKind_2 = "";
  if (terminalKind == null) {
    if (MdkServiceConstants.CARRIER_TERMINAL_PC.equals(request.getParameter("terminalKind"))) { sctTerminalKind_0 = " selected"; }
    else if (MdkServiceConstants.CARRIER_TERMINAL_SP.equals(request.getParameter("terminalKind"))) { sctTerminalKind_1 = " selected"; }
    else if (MdkServiceConstants.CARRIER_TERMINAL_FP.equals(request.getParameter("terminalKind"))) { sctTerminalKind_2 = " selected"; }
  }

  // 商品タイプの選択状態を判定
  String sctItemType_0 = "";
  String sctItemType_1 = "";
  String sctItemType_2 = "";
  if (MdkServiceConstants.CARRIER_ITEM_DIGITAL_CONTENTS.equals(request.getParameter("itemType"))) { sctItemType_0 = " selected"; }
  if (MdkServiceConstants.CARRIER_ITEM_PRODUCT_SALES.equals(request.getParameter("itemType"))) { sctItemType_1 = " selected"; }
  if (MdkServiceConstants.CARRIER_ITEM_SERVICES.equals(request.getParameter("itemType"))) { sctItemType_2 = " selected"; }

  // 課金種別の選択状態を判定
  String sctAccountingType_0 = "";
  String sctAccountingType_1 = "";
  String sctAccountingType_4 = "";
  String disabledMonthly = " disabled";
  if (MdkServiceConstants.CARRIER_ONETIME.equals(request.getParameter("accountingType"))) { sctAccountingType_0 = " selected"; }
  if (MdkServiceConstants.CARRIER_MONTHLY.equals(request.getParameter("accountingType"))) { sctAccountingType_1 = " selected"; }
  if (MdkServiceConstants.CARRIER_ONDEMAND.equals(request.getParameter("accountingType"))) { sctAccountingType_4 = " selected"; }

  // 与信方法の選択状態を判定
  String sctWithCapture_0 = "";
  String sctWithCapture_1 = "";
  if (MdkServiceConstants.CARRIER_AUTH_ONLY.equals(request.getParameter("withCapture"))) { sctWithCapture_0 = " selected"; }
  if (MdkServiceConstants.CARRIER_AUTH_WITH_CAPTURE.equals(request.getParameter("withCapture"))) { sctWithCapture_1 = " selected"; }

  // 3Dセキュアの選択状態を判定
  String sctD3Flag_0 = "";
  String sctD3Flag_1 = "";
  String sctD3Flag_2 = "";
  if (MdkServiceConstants.CARRIER_3D_NONE.equals(request.getParameter("d3Flag"))) { sctD3Flag_0 = " selected"; }
  if (MdkServiceConstants.CARRIER_3D_BYPASS.equals(request.getParameter("d3Flag"))) { sctD3Flag_1 = " selected"; }
  if (MdkServiceConstants.CARRIER_3D_REQUIRED.equals(request.getParameter("d3Flag"))) { sctD3Flag_2 = " selected"; }

  // フレッツエリアの選択状態を判定
  String sctFletsArea_0 = "";
  String sctFletsArea_1 = "";
  if (MdkServiceConstants.CARRIER_FLETS_AREA_EAST.equals(request.getParameter("fletsArea"))) { sctFletsArea_0 = " selected"; }
  if (MdkServiceConstants.CARRIER_FLETS_AREA_WEST.equals(request.getParameter("fletsArea"))) { sctFletsArea_1 = " selected"; }

  // auIDログインフラグの選択状態を判定
  String sctLoginAuId_0 = "";
  String sctLoginAuId_1 = "";
  if (MdkServiceConstants.CARRIER_AU_ID_COOP.equals(request.getParameter("loginAuId"))) { sctLoginAuId_0 = " selected"; }
  if (MdkServiceConstants.CARRIER_AU_ID_LOGIN.equals(request.getParameter("loginAuId"))) { sctLoginAuId_1 = " selected"; }

  // 商品番号
  String itemId = Utils.out(request.getParameter("itemId"));
  if (itemId == null) {
      itemId = "";
  }

  // 商品情報
  String itemInfo = Utils.out(request.getParameter("itemInfo"));
  if (itemInfo == null) {
      itemInfo = "";
  }

  // S!まとめて支払い用UIDの取得
  String sbUid = request.getHeader("x-jphone-uid");

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - キャリア決済与信サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">

function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}

</script>
</head>
<body onload="setDisabled();">

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G キャリア決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%=warning%>

<table>
<tr>
  <td>
    <div class="lhtitle">キャリア決済：決済請求</div>
  </td>
  <td>
    <img src='../WEB-IMG/Carrier_Docomo.jpg' height=45 width=120/>
    <img src='../WEB-IMG/Carrier_Au.jpg' height=45 width=150/>
    <img src='../WEB-IMG/Carrier_Softbank.jpg' height=45 width=160/>
    <img src='../WEB-IMG/Carrier_Flets.jpg' height=45 width=73/>
  </td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_CARRIER" method="post" action="./AuthorizeExec">

<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><span><%=Utils.out(order_id)%></span>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%=Utils.out(order_id)%>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_CARRIER, './Authorize');"></td>
</tr>

<%
    if (carrier == null) {
%>
<tr>
  <td class="ititle">キャリア選択</td>
  <td class="ivalue">
    <select name="serviceOptionType" onchange="changeServiceOptionType();">
      <option value="<%=MdkServiceConstants.CARRIER_DOCOMO%>"<%=Utils.out(sctCarrier_docomo)%>>ドコモ</option>
      <option value="<%=MdkServiceConstants.CARRIER_AU%>"<%=Utils.out(sctCarrier_au)%>>au</option>
      <option value="<%=MdkServiceConstants.CARRIER_SB_KTAI%>"<%=Utils.out(sctCarrier_softbank)%>>ソフトバンクまとめて支払い（B）</option>
      <option value="<%=MdkServiceConstants.CARRIER_SB_MATOMETE%>"<%=Utils.out(sctCarrier_softbank_sum)%>>ソフトバンクまとめて支払い（A）</option>
      <option value="<%=MdkServiceConstants.CARRIER_S_BIKKURI%>"<%=Utils.out(sctCarrier_s_sum)%>>S!まとめて支払い</option>
      <option value="<%=MdkServiceConstants.CARRIER_FLETS%>"<%=Utils.out(sctCarrier_flets)%>>フレッツまとめて支払い</option>
    </select><br/>
    <font size="2" color="red">※ソフトバンクまとめて支払い（B）：旧ソフトバンクケータイ支払い
    <br/>※ソフトバンクまとめて支払い（A）：旧ソフトバンクまとめて支払い</font>
  </td>
</tr>
<%
    } else {
%>
<input type="hidden" name="serviceOptionType" value=<%=carrier%> >
<%
    }
%>

<tr>
  <td class="ititle">金額</td>
  <td class="ivalue"><input type="text" maxlength="9" size="9" name="amount" value="<%=Utils.out(request.getParameter("amount"))%><%=Utils.out(request.getParameter("price"))%>">
   <br/>
    <font size="2" color="red">※ドコモ随時決済の場合、金額は指定できません</font>
  </td>
</tr>

<%
    if (terminalKind == null) {
%>
<tr>
  <td class="ititle">端末種別</td>
  <td class="ivalue">
    <select name="terminalKind">
      <option value="<%=MdkServiceConstants.CARRIER_TERMINAL_PC%>"<%=Utils.out(sctTerminalKind_0)%>>PC</option>
      <option value="<%=MdkServiceConstants.CARRIER_TERMINAL_SP%>"<%=Utils.out(sctTerminalKind_1)%>>スマートフォン</option>
      <option value="<%=MdkServiceConstants.CARRIER_TERMINAL_FP%>"<%=Utils.out(sctTerminalKind_2)%>>フィーチャーフォン</option>
    </select><br/>
    <font size="2" color="red">※ソフトバンクまとめて支払い（B）：フィーチャーフォン不可
      <br/>※ソフトバンクまとめて支払い（A）：フィーチャーフォン不可<br/>※S!まとめて支払い：フィーチャーフォンのみ可
      <br/>※フレッツまとめて支払い：フィーチャーフォン不可
    </font>
  </td>
</tr>
<%
    } else {
%>
<input type="hidden" name="terminalKind" value=<%=terminalKind%> >
<%
    }
%>

<tr>
  <td class="ititle">商品タイプ</td>
  <td class="ivalue">
    <select name="itemType">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.CARRIER_ITEM_DIGITAL_CONTENTS%>"<%=Utils.out(sctItemType_0)%>>デジタルコンテンツ</option>
      <option value="<%=MdkServiceConstants.CARRIER_ITEM_PRODUCT_SALES%>"<%=Utils.out(sctItemType_1)%>>物販</option>
      <option value="<%=MdkServiceConstants.CARRIER_ITEM_SERVICES%>"<%= Utils.out(sctItemType_2) %>>役務</option>
    </select><br/>
    <font size="2" color="red">※ソフトバンクまとめて支払い（A）：デジタルコンテンツのみ可<br/>※S!まとめて支払い：役務不可
    </font>
  </td>
</tr>

<tr>
  <td class="ititle">課金種別</td>
  <td class="ivalue">
    <select name="accountingType">
      <option value="<%=MdkServiceConstants.CARRIER_ONETIME %>"<%= Utils.out(sctAccountingType_0) %>>都度</option>
      <option value="<%=MdkServiceConstants.CARRIER_MONTHLY %>"<%= Utils.out(sctAccountingType_1) %>>継続</option>
      <option value="<%=MdkServiceConstants.CARRIER_ONDEMAND %>"<%= Utils.out(sctAccountingType_4) %>>随時</option>
    </select><br/>
    <font size="2" color="red">※継続が可能なのはドコモ・au・ソフトバンクまとめて支払い（A）・ソフトバンクまとめて支払い（B）・フレッツまとめて支払い
     <br/>※随時が可能なのはドコモ</font>
  </td>
</tr>

<tr>
  <td class="ititle">与信方法</td>
  <td class="ivalue">
    <select name="withCapture">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.CARRIER_AUTH_ONLY %>"<%= Utils.out(sctWithCapture_0) %>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
      <option value="<%=MdkServiceConstants.CARRIER_AUTH_WITH_CAPTURE %>"<%= Utils.out(sctWithCapture_1) %>>与信売上(与信と同時に売上処理も行います)</option>
    </select>
    <br/>
    <font size="2" color="red">※ソフトバンクまとめて支払い（A）は「与信売上」のみ可能</font>
  </td>
</tr>

<tr>
  <td class="ititle">本人認証(３Ｄセキュア)</td>
  <td class="ivalue">
    <select name="d3Flag">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.CARRIER_3D_NONE %>"<%= Utils.out(sctD3Flag_0) %>>無し</option>
      <option value="<%=MdkServiceConstants.CARRIER_3D_BYPASS %>"<%= Utils.out(sctD3Flag_1) %>>バイパス</option>
      <option value="<%=MdkServiceConstants.CARRIER_3D_REQUIRED %>"<%= Utils.out(sctD3Flag_2) %>>有り</option>
    </select>
    <font size="2" color="red">※ソフトバンクまとめて支払い（B）のみのパラメータ</font>
  </td>
</tr>

<tr>
  <td class="ititle">初回課金年月日</td>
  <td class="ivalue"><input type="text" maxlength="8" size="9" name="mpFirstDate" value="<%= Utils.out(request.getParameter("mpFirstDate")) %>"><br/>
  <font size="2" color="red">※継続課金でドコモ・au・ソフトバンクまとめて支払い（B）・フレッツまとめて支払いは指定可能(形式：YYYYMMDD)<br/>
                             ※フレッツまとめて支払いの場合、DD部分は25以下しか指定できません。</font>
  </td>
</tr>

<tr>
  <td class="ititle">継続課金日(01-28)</td>
  <td class="ivalue">
    <input type="text" maxlength="2" size="3" name="mpDay" value="<%= Utils.out(request.getParameter("mpDay")) %>"><br/>
    <font size="2" color="red">※継続課金でドコモ・au・ソフトバンクまとめて支払い（B）・フレッツまとめて支払いは指定可能<br/>
         ※月末日を指定する場合は&quot;99&quot;を指定してください。<br/>
         ※一桁の場合は数値の前に&quot;0&quot;をつけてください。&nbsp;&nbsp;例：01<br/>
         ※フレッツまとめて支払いの場合、25以下しか指定できません。</font>
  </td>
</tr>

<tr>
  <td class="ititle">商品番号</td>
  <td class="ivalue"><input type="text" maxlength="18" size="20" name="itemId" value="<%= Utils.out(itemId) %>"><br/>
    <font size="2" color="red">
             ※au：15バイト以下の任意の値(継続課金の場合は提供商品ごとに変更する必要あり)<br/>
             ※ソフトバンクまとめて支払い（A）：継続の場合はソフトバンクより払い出されたサービス識別子(18バイト以下)<br/>
             ※フレッツまとめて支払い：8バイト以下の数字<br/>
             ※上記以外：15バイト以下の任意の値</font>
  </td>
</tr>

<tr>
  <td class="ititle">商品情報</td>
  <td class="ivalue"><input type="text" maxlength="24" size="48" name="itemInfo" value="<%= Utils.out(itemInfo) %>"><br/>
    <font size="2" color="red">※ドコモ・au・ソフトバンクまとめて支払い（A）・フレッツまとめて支払いで指定可能<br/>
             ※ソフトバンクまとめて支払い（B）は直接契約の場合のみ指定可能<br/>
             ※au：都度課金の場合は全角24文字以内、継続課金の場合は全角15文字以内<br/>
             ※au以外：全角20文字以内</font>
  </td>
</tr>

<tr>
  <td class="ititle">決済完了時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="successUrl" value="<%= Utils.out(successUrl) %>"></td>
</tr>

<tr>
  <td class="ititle">決済キャンセル時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="cancelUrl" value="<%= Utils.out(cancelUrl) %>"></td>
</tr>

<tr>
  <td class="ititle">決済エラー時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="errorUrl" value="<%= Utils.out(errorUrl) %>"></td>
</tr>

<tr>
  <td class="ititle">プッシュURL</td>
  <td class="ivalue">
<%
 String dummyMode = Utils.getDummyMode(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties"));
 if (dummyMode.equals("ダミーリクエスト")) {
%>
      <input type="text" maxlength="256" size="70" name="pushUrl" value="<%= Utils.out(pushUrl) %>"><br/>
<%
 } else {
%>
      <input type="text" maxlength="256" size="70" name="pushUrl" value="" disabled><br/>
<%
 }
%>
      <font size="2" color="red">※ダミー決済の場合のみ指定可能</font>
  </td>
</tr>

<tr>
  <td class="ititle">OpenID</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="openId" value="<%= Utils.out(request.getParameter("openId")) %>"><br/>
    <font size="2" color="red">※ドコモ・auは指定可能</font>
  </td>
</tr>

<tr>
  <td class="ititle">フレッツエリア</td>
  <td class="ivalue">
    <select name="fletsArea">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.CARRIER_FLETS_AREA_EAST %>"<%= Utils.out(sctFletsArea_0) %>>東日本</option>
      <option value="<%=MdkServiceConstants.CARRIER_FLETS_AREA_WEST %>"<%= Utils.out(sctFletsArea_1) %>>西日本</option>
    </select>
    <font size="2" color="red">※フレッツまとめて支払いのみのパラメータ</font>
  </td>
</tr>

<tr>
  <td class="ititle">auIDログインフラグ</td>
  <td class="ivalue">
    <select name="loginAuId">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.CARRIER_AU_ID_COOP %>"<%= Utils.out(sctLoginAuId_0) %>>ID連携</option>
      <option value="<%=MdkServiceConstants.CARRIER_AU_ID_LOGIN %>"<%= Utils.out(sctLoginAuId_1) %>>auIDログイン</option>
    </select>
    <font size="2" color="red">※auのみのパラメータ</font>
  </td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>

<%
 if (sbUid != null) {
%>
<input type="hidden" name="sbUid" value=<%=sbUid%> >
<%
 }
%>

<input type="hidden" name="dummyMode" value="<%=dummyMode%>" >

<tr>
  <td colspan="2"><input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
