<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 与信方法の選択状態を判定
  String serviceOptionType_suica_mobile_mail = "";
  String serviceOptionType_suica_mobile_app = "";
  String serviceOptionType_suica_pc_mail = "";
  String serviceOptionType_suica_pc_app = "";
  String serviceOptionType_tcc_redirect = "";
  if ("suica-mobile-mail".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_suica_mobile_mail = " selected"; }
  if ("suica-mobile-app".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_suica_mobile_app = " selected"; }
  if ("suica-pc-mail".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_suica_pc_mail = " selected"; }
  if ("suica-pc-app".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_suica_pc_app = " selected"; }
  if ("tcc-redirect".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_tcc_redirect = " selected"; }

  // 対象取引種別の選択状態を判定
  String orderKind_authorize = "";
  String orderKind_refund = "";
  String orderKind_none = "";

  if ("".equals(request.getParameter("orderKind"))) { orderKind_none = " selected"; }
  if ("authorize".equals(request.getParameter("orderKind"))) { orderKind_authorize = " selected"; }
  if ("refund".equals(request.getParameter("orderKind"))) { orderKind_refund = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 電子マネー決済取消サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 電子マネー決済の取消取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<div class="lhtitle">電子マネー決済：取消請求</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_EM" method="post" action="CancelExec">
<tr>
  <td class="ititletop">決済サービスオプション</td>
  <td class="ivaluetop">
    <select name="serviceOptionType">
      <option value="suica-mobile-mail"<%= serviceOptionType_suica_mobile_mail %>>モバイルSuica メール決済</option>
      <option value="suica-mobile-app"<%= serviceOptionType_suica_mobile_app %>>モバイルSuica アプリ決済</option>
      <option value="suica-pc-mail"<%= serviceOptionType_suica_pc_mail %>>Suicaインターネットサービス メール決済</option>
      <option value="suica-pc-app"<%= serviceOptionType_suica_pc_app %>>Suicaインターネットサービス アプリ決済</option>
      <option value="tcc-redirect"<%= serviceOptionType_tcc_redirect %>>nanaco決済</option>
    </select>
  </td>
</tr>
<tr>
  <td class="ititle">取引ID</td>
  <td class="ivalue"><input type="text" maxlength="100" size="30" name="orderId" value="<%= Utils.out(request.getParameter("orderId")) %>"></td>
</tr>
<tr>
  <td class="ititle">対象取引種別</td>
  <td class="ivalue">
    <select name="orderKind">
      <option value=""<%= orderKind_none %>></option>
      <option value="authorize"<%= orderKind_authorize %>>決済請求</option>
      <option value="refund"<%= orderKind_refund %>>返金</option>
    </select>
    <font size="2" color="red">※nanaco決済の場合は入力する必要はありません。</font>
  </td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><input type="submit" value="取消">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
