<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>取引結果</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
  </head>
  <body><img alt="Paymentロゴ" src="../WEB-IMG/VeriTrans_Payment.png"><hr/>
    <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G クレジットカード決済(本人認証)の取引サンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
    </div>

<%=warning%>

    <div class="lhtitle">クレジットカード決済(本人認証)：取引結果</div>
    <table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td class="rititletop">取引ID</td>
        <td class="rivaluetop"><%= Utils.out(request.getParameter("OrderId")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">リクエストID</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("RequestId")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">MPI取引ステータス</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("mpiMstatus")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">カード取引ステータス</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("cardMstatus")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">結果コード</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("vResultCode")) %><br/></td>
      </tr>
      <!--
      <tr>
        <td class="rititle">通貨単位</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("reqCurrencyUnit")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">トランザクションタイプ</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("cardTransactionType")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">センター要求日時</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("centerRequestDate")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">センター応答日時</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("centerResponseDate")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">接続先カード接続センター</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("connectedCenterId")) %><br/></td>
      </tr>
      -->
      <tr>
        <td class="rititle">カード番号</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("reqCardNumber")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">取引金額</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("reqAmount")) %><br/></td>
      </tr>
      <!--
      <tr>
        <td class="rititle">仕向け先コード</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("acquirerCode")) %><br/></td>
      </tr>
      -->
      <tr>
        <td class="rititle">承認番号</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("authCode")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">3Dメッセージバージョン</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("dddMessageVersion")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">3DトランザクションID</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("dddTransactionId")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">3DDSトランザクションID</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("dddDsTransactionId")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">3DサーバトランザクションID</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("dddServerTransactionId")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">3Dトランザクションステータス</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("dddTransactionStatus")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">3D CAVVアルゴリズム</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("dddCavvAlgorithm")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">3D CAVV</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("dddCavv")) %><br/></td>
      </tr>
      <tr>
        <td class="rititle">3D ECI</td>
        <td class="rivalue"><%= Utils.out(request.getParameter("dddEci")) %><br/></td>
      </tr>
    </table>

<br/>

    <a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
  </body>
</html>
