<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*" %>

<%
  //取引IDの作成
  String order_id = "dummy" + System.currentTimeMillis();

  //** 以下はrequestパラメータで指定された値によって表示する値を判別している **/

  // 与信方法の選択状態を判定
  String sctWithCapture_0 = "";
  String sctWithCapture_1 = "";
  if (MdkServiceConstants.RAKUTEN_AUTH_ONLY.equals(request.getParameter("withCapture"))) { sctWithCapture_0 = " selected"; }
  if (MdkServiceConstants.RAKUTEN_AUTH_WITH_CAPTURE.equals(request.getParameter("withCapture"))) { sctWithCapture_1 = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 楽天ID決済再与信サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">
/**
 * ページを再描写する
 */
function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}

</script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 楽天ID決済の再与信取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%=warning%>

<table>
<tr>
  <td>
  <div class="lhtitle">楽天ID決済：再与信請求</div>
  </td>
  <td>
    <a href='https://checkout.rakuten.co.jp/' target='_blank'><img alt='楽天ペイ' src='../WEB-IMG/rakuten.png' border='0'/></a>
  </td>
</tr>
</table>

<form name="FORM_RAKUTEN" method="post" action="ReAuthorizeExec">

<table border="0" cellpadding="0" cellspacing="0">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><span><%=Utils.out(order_id)%></span>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%=Utils.outForAttribute(order_id)%>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_RAKUTEN, './ReAuthorize');"></td>
</tr>
<tr>
  <td class="ititle">元取引ID</td>
  <td class="ivalue"><input type="text" maxlength="100" size="30" name="originalOrderId" value="<%= Utils.out(request.getParameter("originalOrderId")) %>"></td>
</tr>
<tr>
  <td class="ititle">金額</td>
  <td class="ivalue"><input type="text" maxlength="7" size="9" name="amount" value="<%=Utils.out(request.getParameter("amount"))%>"></td>
</tr>
<tr>
  <td class="ititle">与信方法</td>
  <td class="ivalue">
    <select name="withCapture">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.RAKUTEN_AUTH_ONLY %>"<%= Utils.out(sctWithCapture_0) %>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
      <option value="<%=MdkServiceConstants.RAKUTEN_AUTH_WITH_CAPTURE %>"<%= Utils.out(sctWithCapture_1) %>>与信売上(与信と同時に売上処理も行います)</option>
    </select>
  </td>
</tr>
<tr>
  <td class="ititle">商品ID</td>
  <td class="ivalue"><input type="text" maxlength="64" size="20" name="itemId" value="<%= Utils.out(request.getParameter("itemId")) %>">
  </td>
</tr>
<tr>
  <td class="ititle">商品名</td>
  <td class="ivalue"><input type="text" maxlength="300" size="40" name="itemName" value="<%=  Utils.out(request.getParameter("itemName"))%>">
  </td>
</tr>
</table>

<br>
<div>
  <button id="purchase" style="border: none; background:transparent">
  <script src='https://contents.online.checkout.rakuten.co.jp/live/button/v1/rakuten-pay.js'
          class='rakuten-checkout-button' data-button-type='default' data-buttonwidth='200'></script>
  <noscript>Rakuten Pay で購入</noscript>
  </button>&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
</div>

</form>

<a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
