<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*"%>
<%
    String auth = request.getAttribute("auth").toString();
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>取引結果</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
    <hr />
    <div class="system-message">
        <font size="2"> 本画面はVeriTrans4G UPOP決済の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
        </font>
    </div>
    <div class="lhtitle">UPOP決済：取引結果</div>
    <table border="0" cellpadding="0" cellspacing="0">
        <%
            if (auth.equals("0")) {
        %>
        <tr>
            <td class="rititletop">認証情報</td>
            <td class="rivaluetop">"認証失敗した、改竄されたおそれがあります！"</td>
        </tr>
        <%
            } else {
        %>
        <tr>
            <td class="rititletop">取引ステータス</td>
            <td class="rivaluetop"><%=Utils.out(request.getParameter("mstatus"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">結果コード</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("vResultCode"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">結果メッセージ</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("merrMsg"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">取引ID</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("orderId"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">トランザクションID(取引毎につけるID)</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("custTxn"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">決済時刻（日本時間）</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("txnDatetimeJp"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">決済時刻（中国時間）</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("txnDatetimeCn"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">元売上金額</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("capturedAmount"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">清算金額</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("settleAmount"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">清算日付</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("settleDate"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">清算通貨種類</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("settleCurrency"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">清算レート</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("settleRate"))%><br /></td>
        </tr>
        <tr>
            <td class="rititle">決済センターとの取引ID</td>
            <td class="rivalue"><%=Utils.out(request.getParameter("upopOrderId"))%><br /></td>
        </tr>
        <%
            }
        %>

    </table>
    <br>
    <a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright
    &copy; VeriTrans Inc. All rights reserved

</body>
</html>
