<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*" %>

<%

  // 取引IDの作成
  String order_id = "dummy" + System.currentTimeMillis();

  //** 以下はrequestパラメータで指定された値によって表示する値を判別している **/
  String entryTransferName = Utils.out(request.getParameter("entryTransferName"));
  String entryTransferNumber = Utils.out(request.getParameter("entryTransferNumber"));
  String transferExpiredDate = Utils.out(request.getParameter("transferExpiredDate"));
  String branchCode = Utils.out(request.getParameter("branchCode"));
  String accountNumber = Utils.out(request.getParameter("accountNumber"));
  String accountName = Utils.out(request.getParameter("accountName"));
  if (entryTransferName == null) {
      entryTransferName = "";
  }
  if (entryTransferNumber == null) {
      entryTransferNumber = "";
  }
  if (transferExpiredDate == null) {
      transferExpiredDate = "";
  }
  if (branchCode == null) {
      branchCode = "";
  }
  if (accountNumber == null) {
      accountNumber = "";
  }
  if (accountName == null) {
      accountName = "";
  }

  String accountManageType_0 = "";
  String accountManageType_1 = "";
  if (MdkServiceConstants.VACC_ACCOUNT_MANAGE_TYPE_REAL.equals(request.getParameter("accountManageType"))) { accountManageType_0 = " selected"; }
  else if (MdkServiceConstants.VACC_ACCOUNT_MANAGE_TYPE_VIRTUAL.equals(request.getParameter("accountManageType"))) { accountManageType_1 = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }

  String dummyMode = Utils.getDummyMode(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties"));



%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 銀行振込決済申込サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">

function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}

</script>
</head>
<body onload="setDisabled();">

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 銀行振込決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%=warning%>


<div class="lhtitle">銀行振込決済：決済請求</div>

<form name="FORM_VIRTUALACC" method="post" action="./AuthorizeExec">

<table border="0" cellpadding="0" cellspacing="0">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><span><%=Utils.out(order_id)%></span>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%=Utils.outForAttribute(order_id)%>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_VIRTUALACC, './Authorize');"></td>
</tr>

<tr>
  <td class="ititle">金額</td>
  <td class="ivalue"><input type="text" maxlength="12" size="13" name="amount" value="<%=Utils.outForAttribute(request.getParameter("amount"))%><%=Utils.out(request.getParameter("price"))%>"></td>
</tr>

<tr>
  <td class="ititle">登録時振込人名</td>
  <td class="ivalue"><input type="text" maxlength="64" size="80" name="entryTransferName" value="<%=Utils.outForAttribute(entryTransferName)%>">
  </td>
</tr>

<tr>
  <td class="ititle">登録時振込番号</td>
  <td class="ivalue"><input type="text" maxlength="5" size="10" name="entryTransferNumber" value="<%=Utils.outForAttribute(entryTransferNumber)%>">
  </td>
</tr>

<tr>
  <td class="ititle">振込期限</td>
  <td class="ivalue"><input type="text" maxlength="8" size="10" name="transferExpiredDate" value="<%=Utils.outForAttribute(transferExpiredDate)%>">
  </td>
</tr>

<tr>
  <td class="ititle">口座管理方式</td>
  <td class="ivalue">
    <select name="accountManageType">
      <option value="<%=MdkServiceConstants.VACC_ACCOUNT_MANAGE_TYPE_REAL %>"<%= Utils.outForAttribute(accountManageType_0) %>>実口座</option>
      <option value="<%=MdkServiceConstants.VACC_ACCOUNT_MANAGE_TYPE_VIRTUAL %>"<%= Utils.outForAttribute(accountManageType_1) %>>バーチャル口座</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">支店コード</td>
  <td class="ivalue"><input type="text" maxlength="3" size="10" name="branchCode" value="<%=Utils.outForAttribute(branchCode)%>">
    <font size="2" color="red"><br/>
            ※口座管理方式が実口座の場合は利用不可項目となります。<br/>
            ※口座管理方式がバーチャル口座の場合は任意項目となります。<br/>
            ⇒未入力時は登録済の口座情報を自動で払い出します。
    </font>
  </td>
</tr>

<tr>
  <td class="ititle">口座番号</td>
  <td class="ivalue"><input type="text" maxlength="7" size="10" name="accountNumber" value="<%=Utils.outForAttribute(accountNumber)%>">
    <font size="2" color="red"><br/>
            ※口座管理方式が実口座の場合は利用不可項目となります。<br/>
            ※口座管理方式がバーチャル口座の場合は任意項目となります。<br/>
            ⇒未入力時は登録済の口座情報を自動で払い出します。 
    </font>
  </td>
</tr>

</table>

<input type="hidden" name="dummyMode" value="<%=dummyMode%>" >
<br>
<div>
  <input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
</div>

</form>

<br>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
