<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" %>

<%

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }

%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 銀行振込決済入金サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">

</script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 銀行振込決済の入金取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<div class="lhtitle">銀行振込決済：入金請求</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_VIRTUALACC" method="post" action="DepositEntryExec">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><input type="text" maxlength="100" size="30" name="orderId" value="<%= Utils.out(request.getParameter("orderId")) %>"></td>
</tr>
<tr>
  <td class="ititle">金額</td>
  <td class="ivalue"><input type="text" maxlength="12" size="13" name="amount" value=""></td>
</tr>
<tr>
  <td class="ititle">振込人名</td>
  <td class="ivalue"><input type="text" maxlength="69" size="70" name="transferName" value=""></td>
</tr>
<tr>
  <td class="ititle">入金日</td>
  <td class="ivalue"><input type="text" maxlength="8" size="9" name="depositDate" value="">
    &nbsp;&nbsp;<font size="2" color="red">※形式:YYYYMMDD</font>
  </td>

</tr>

<tr>
  <td class="ititle">消込フラグ</td>
  <td class="ivalue">
    <select name="withReconcile">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.VACC_WITH_RECONCILE_NOT %>">消込しない</option>
      <option value="<%=MdkServiceConstants.VACC_WITH_RECONCILE_FORCE %>">消込(強制)</option>
      <option value="<%=MdkServiceConstants.VACC_WITH_RECONCILE_AUTO %>">消込(自動)</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">登録方法</td>
  <td class="ivalue">
    <select name="registrationMethod">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.VACC_REGISTRATION_METHOD_MANUAL %>">手動</option>
      <option value="<%=MdkServiceConstants.VACC_REGISTRATION_METHOD_AUTO %>">自動</option>
    </select>
  </td>
</tr>

<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><input type="submit" value="入金">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
